rh-ruby24-rubygem-json-2.0.4-92.el6.x86_64.rpm


Advertisement

Description

rh-ruby24-rubygem-json - This is a JSON implementation as a Ruby extension in C

Property Value
Distribution CentOS 6
Repository CentOS SCLo RH x86_64
Package filename rh-ruby24-rubygem-json-2.0.4-92.el6.x86_64.rpm
Package name rh-ruby24-rubygem-json
Package version 2.0.4
Package release 92.el6
Package architecture x86_64
Package type rpm
Category Development/Libraries
Homepage http://ruby-lang.org/
License (Ruby or GPLv2) and UCD
Maintainer -
Download size 78.20 KB
Installed size 85.22 KB
This is a implementation of the JSON specification according to RFC 4627.
You can think of it as a low fat alternative to XML, if you want to store
data to disk or transmit it over a network rather than use a verbose
markup language.

Alternatives

Package Version Architecture Repository
rh-ruby24-rubygem-json-2.0.4-92.el6.x86_64.rpm 2.0.4 x86_64 CentOS SCLo RH Testing
rh-ruby24-rubygem-json-2.0.4-91.sc1.el6.x86_64.rpm 2.0.4 x86_64 CentOS SCLo RH Testing
rh-ruby24-rubygem-json-2.0.4-91.sc1.el6.x86_64.rpm 2.0.4 x86_64 CentOS SCLo RH
rh-ruby24-rubygem-json-2.0.4-90.el6.x86_64.rpm 2.0.4 x86_64 CentOS SCLo RH Testing
rh-ruby24-rubygem-json-2.0.4-90.el6.x86_64.rpm 2.0.4 x86_64 CentOS SCLo RH
rh-ruby24-rubygem-json-2.0.2-75.el6.x86_64.rpm 2.0.2 x86_64 CentOS SCLo RH Testing
rh-ruby24-rubygem-json-2.0.2-75.el6.x86_64.rpm 2.0.2 x86_64 CentOS SCLo RH
rh-ruby24-rubygem-json - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libcrypt.so.1()(64bit) -
libdl.so.2()(64bit) -
libm.so.6()(64bit) -
libpthread.so.0()(64bit) -
librt.so.1()(64bit) -
libruby.so.2.4()(64bit) -
rh-ruby24-ruby(release) -
rh-ruby24-ruby(rubygems) >= 2.6.14.4
rtld(GNU_HASH) -

Provides

Name Value
generator.so()(64bit) -
parser.so()(64bit) -
rh-ruby24-rubygem(json) = 2.0.4-92.el6
rh-ruby24-rubygem-json = 2.0.4-92.el6
rh-ruby24-rubygem-json(x86-64) = 2.0.4-92.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package rh-ruby24-rubygem-json-2.0.4-92.el6.x86_64.rpm
Source Package rh-ruby24-ruby-2.4.6-92.el6.src.rpm

Install Howto

  1. Install CentOS SCLo RH repository:
    yum install centos-release-scl-rh
  2. Install rh-ruby24-rubygem-json rpm package:
    # yum install rh-ruby24-rubygem-json

Files

Path
/opt/rh/rh-ruby24/root/usr/lib64/gems/ruby/json-2.0.4/
/opt/rh/rh-ruby24/root/usr/lib64/gems/ruby/json-2.0.4/json/
/opt/rh/rh-ruby24/root/usr/lib64/gems/ruby/json-2.0.4/json/ext/generator.so
/opt/rh/rh-ruby24/root/usr/lib64/gems/ruby/json-2.0.4/json/ext/parser.so
/opt/rh/rh-ruby24/root/usr/lib64/ruby/json
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/common.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/ext.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/generic_object.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/version.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/bigdecimal.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/complex.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/core.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/date.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/date_time.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/exception.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/ostruct.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/range.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/rational.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/regexp.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/struct.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/symbol.rb
/opt/rh/rh-ruby24/root/usr/share/gems/gems/json-2.0.4/lib/json/add/time.rb
/opt/rh/rh-ruby24/root/usr/share/gems/specifications/json-2.0.4.gemspec
/opt/rh/rh-ruby24/root/usr/share/ruby/json
/opt/rh/rh-ruby24/root/usr/share/ruby/json.rb

Changelog

2019-04-11 - Jun Aruga <jaruga@redhat.com> - 2.4.6-92
- Upgrade to Ruby 2.4.6.
- Delete directory using symlink when decompressing tar
Resolves: CVE-2019-8320
- Fix escape sequence injection vulnerability in verbose.
Resolves: CVE-2019-8321
- Fix escape sequence injection vulnerability in gem owner.
Resolves: CVE-2019-8322
- Fix escape sequence injection vulnerability in API response handling.
Resolves: CVE-2019-8323
- Prohibit arbitrary code execution when installing a malicious gem.
Resolves: CVE-2019-8324
- Fix escape sequence injection vulnerability in errors.
Resolves: CVE-2019-8325
2018-11-05 - Pavel Valena <pvalena@redhat.com> - 2.4.5-91
- Upgrade to Ruby 2.4.5.
Resolves: CVE-2018-16395
Resolves: rhbz#1563077
Removed Patch10: ruby-2.5.0-Disable-Tokyo-TZ-tests.patch; subsumed
- Properly harden package using -fstack-protector-strong.
- Fix: return default path with nonexistent home dir(rhbz#1602879)
2018-03-12 - Pavel Valena <pvalena@redhat.com> - 2.4.3-90
- Command injection in lib/resolv.rb:lazy_initialize() allows arbitrary code
execution(CVE-2017-17790).
* ruby-2.5.0-Fixed-command-Injection.patch
Related: rhbz#1549651
2018-02-12 - Pavel Valena <pvalena@redhat.com> - 2.4.3-89
- Upgrade to Ruby 2.4.3.
Resolves: rhbz#1549651
Resolves: CVE-2017-17405
* Remove Patch10: ruby-2.4.3-CVE-2017-0903-Fix-unsafe-object-deserialization
-vulnerability.patch
subsumed
2017-10-30 - Vít Ondruch <vondruch@redhat.com> - 2.4.2-86
- Upgrade to Ruby 2.4.2.
* Remove Patch10: ruby-2.4.0-vm_insnhelper.c-block-argument-at-tailcall.patch;
subsumed
Resolves: rhbz#1506785
- Fix unsafe object deserialization in RubyGems (CVE-2017-0903).
* ruby-2.4.3-CVE-2017-0903-Fix-unsafe-object-deserialization
-vulnerability.patch
Resolves: CVE-2017-0903
2017-01-17 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-75
- Apply patch fixing rubygem-mongo build failures.
2017-01-09 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-73
- Reshuffle the %license macro to avoid %postun scriptlet issues.
Resolves: rhbz#1411233
2017-01-09 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-72
- Add rubygem-io-console dependency for rubygem-rdoc.
2017-01-02 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-71
- ruby-libs should not own links to unbundled gems.
2017-01-02 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-70
- Upgrade to Ruby 2.4.0.
- Workaround "an invalid stdio handle" error on PPC (rhbz#1361037).
- Add gemspec_add_dep and gemspec_remove_dep macros.
- Move gemified xmlrpc into subpackage.
- Move gemified openssl into subpackage.
- Make symlinks for json gem.
- Tk is removed from stdlib.
- Harden package.
- Extend 'gem_' macros for pre-release version support.

See Also

Package Description
rh-ruby24-rubygem-minitest-5.10.1-75.el6.noarch.rpm Minitest provides a complete suite of testing facilities
rh-ruby24-rubygem-minitest-5.10.1-90.el6.noarch.rpm Minitest provides a complete suite of testing facilities
rh-ruby24-rubygem-minitest-5.10.1-91.sc1.el6.noarch.rpm Minitest provides a complete suite of testing facilities
rh-ruby24-rubygem-minitest-5.10.1-92.el6.noarch.rpm Minitest provides a complete suite of testing facilities
rh-ruby24-rubygem-net-telnet-0.1.1-75.el6.x86_64.rpm Provides telnet client functionality
rh-ruby24-rubygem-net-telnet-0.1.1-90.el6.x86_64.rpm Provides telnet client functionality
rh-ruby24-rubygem-net-telnet-0.1.1-91.sc1.el6.x86_64.rpm Provides telnet client functionality
rh-ruby24-rubygem-net-telnet-0.1.1-92.el6.x86_64.rpm Provides telnet client functionality
rh-ruby24-rubygem-openssl-2.0.2-75.el6.x86_64.rpm OpenSSL provides SSL, TLS and general purpose cryptography
rh-ruby24-rubygem-openssl-2.0.5-90.el6.x86_64.rpm OpenSSL provides SSL, TLS and general purpose cryptography
rh-ruby24-rubygem-openssl-2.0.9-91.sc1.el6.x86_64.rpm OpenSSL provides SSL, TLS and general purpose cryptography
rh-ruby24-rubygem-openssl-2.0.9-92.el6.x86_64.rpm OpenSSL provides SSL, TLS and general purpose cryptography
rh-ruby24-rubygem-power_assert-0.4.1-75.el6.noarch.rpm Power Assert for Ruby
rh-ruby24-rubygem-power_assert-0.4.1-90.el6.noarch.rpm Power Assert for Ruby
rh-ruby24-rubygem-power_assert-0.4.1-91.sc1.el6.noarch.rpm Power Assert for Ruby
Advertisement
Advertisement